> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pingmee.co.il/llms.txt
> Use this file to discover all available pages before exploring further.

# Trigger Workflow

> Manually trigger a bot workflow for a conversation.



## OpenAPI

````yaml POST /workflows/{workflowId}/trigger
openapi: 3.1.0
info:
  title: Pingmee API
  description: A complete guide to Pingmee micro service architecture.
  version: 1.0.0
servers:
  - url: https://api.pingmee.co.il
security:
  - cookieAuth: []
    ApiKeyAuth: []
paths:
  /workflows/{workflowId}/trigger:
    servers:
      - url: https://workflows.pingmee.co.il
        description: Workflows service
    post:
      description: Manually trigger a bot workflow for a conversation.
      parameters:
        - name: workflowId
          in: path
          required: true
          description: Workflow identifier.
          schema:
            type: string
      requestBody:
        description: >-
          Conversation, optional node to start the workflow from, and optional
          JSON payload for the trigger.
        content:
          application/json:
            schema:
              type: object
              required:
                - phoneNumberId
                - customerPhoneNumberId
              properties:
                phoneNumberId:
                  type: string
                  description: Business phone number identifier.
                customerPhoneNumberId:
                  type: string
                  description: Customer phone number identifier.
                startFromNodeId:
                  type: string
                  description: Optional workflow node identifier to start execution from.
                triggerData:
                  type: object
                  description: >-
                    Optional JSON object passed to the workflow when it is
                    triggered.
                  additionalProperties: true
              additionalProperties: false
        required: true
      responses:
        '200':
          description: Workflow triggered successfully
          content:
            application/json:
              schema:
                type: object
                required:
                  - ok
                properties:
                  ok:
                    type: boolean
                    example: true
                additionalProperties: false
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: string
        message:
          type: string
  securitySchemes:
    cookieAuth:
      type: apiKey
      in: header
      name: Cookie
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````